GPASM(1)

NOM
gpasm - Assembleur GNU pour PIC

SYNOPSIS
gpasm [options] fichier

AVERTISSEMENT
Les informations de cette page de manuel sont extraites de la documentation complète de gputils et sont limitées à la signification des options. Pour une documentation complète, reportez-vous au fichier « gputils.ps » (en anglais) situé dans le répertoire doc de gputils.

DESCRIPTION
gpasm est un assembleur pour les microcontrôleurs PIC (TM) de Microchip (TM). Son objectif est d'être compatible avec l'assembleur MPASM du fabricant. gpasm est une partie de gputils. Consultez la page manuel gputils(1) pour avoir des détails sur les autres utilitaires GNU PIC.

OPTIONS
Voici un résumé des options gpasm. Les options de gpasm supplantent toujours toute configuration contenue dans le code source.

-a FMT, --hex-format FMT
    GPASM reconnaît les formats de fichiers hexadécimaux inhx8m, inhx8s, inhx16 et inhx32. Cette option contrôle quel format de fichier hexadécimal est utilisé. La valeur par défaut est inhx32.

-c, --object
    Produire en sortie un objet relogeable (nouveau format COFF).

-C, --old-coff
    Produire en sortie un objet relogeable (ancien format COFF).

-d, --debug
    Afficher les messages de débogage.

-D SYM=VAL, --define SYM=VAL
    Définir SYM avec la valeur VAL. Ceci est équivalent à placer « #define SYM VAL » dans le code source.

-e [ON|OFF], --expand [ON|OFF]
    Le développement des macros dans le fichier listage est contrôlé en utilisant les directives EXPAND et NOEXPAND. Cette option permet d'ignorer l'une ou l'autre directive. Lorsque « ON » est sélectionné, les macros sont toujours développées sans se soucier de la présence de NOEXPAND. De la même manière, « OFF » forcera les macros à ne pas être développées.

-g, --debug-info
    Utiliser les directives de débogage pour COFF.

-h, --help
    Afficher un message d'utilisation et quitter.

-i, --ignore-case
    Tous les symboles et macros définis par l'utilisateur sont sensibles à la casse. Cette option permet de les rendre insensibles à la casse.

-I RÉP, --include RÉP
    Le fichier d'assemblage de plus haut niveau hiérarchique est passé comme argument à gpasm. Ce fichier peut contenir des directives INCLUDE. Ces directives ouvrent les fichiers spécifiés et leurs contenus sont alors assemblés. GPASM recherche ces fichiers dans le répertoire courant. Si le fichier n'est pas localisé, le chemin par défaut des en-têtes est parcouru. Enfin, tous les chemins spécifiés par cet argument sont parcourus.

-l, --list-chips
    Afficher la liste des processeurs reconnus.

-L, --force-list
    Ignorer les directives NOLIST. Ceci force gpasm à afficher chaque ligne assemblée dans le fichier listage de sortie.

-m, --dump
    À la fin de la dernière étape d'assemblage, afficher le contenu de la mémoire programme.

--mpasm-compatible
    Cette option définit le mode de compatibilité MPASM.

-M, --deps
    Produire un fichier des dépendances.

-n, --dos
    Par défaut, gpasm génère des fichiers hexadécimaux au format ISO. Toutefois, certains programmateurs de composants requièrent un fichier au format DOS. Cette option fait que gpasm génèrera un fichier au format DOS.

-o FICHIER, --output FICHIER
    Nom alternatif du fichier de sortie.

-p PROC, --processor PROC
    Sélectionner le processeur.

-P FILE, --preprocess FICHIER
    Enregistrer le fichier assembleur prétraité dans FICHIER.

-q, --quiet
    Supprimer tout ce qui est envoyé sur la sortie standard.

-r BASE, --radix BASE
    Les bases reconnues sont BIN, DEC, OCT, et HEX. La base par défaut est HEX.

-u, --absolute
    Utiliser des chemins absolus.

-v, --version
    Afficher les informations de version et quitter.

-w [0|1|2], --warning [0|1|2]
    Cette option configure le niveau d'affichage des messages. La valeur par défaut est « 0 ». Elle permet l'affichage des messages, des avertissements et des erreurs. « 1 » supprimera les messages. « 2 » supprimera les messages et les avertissements.

-y, --extended
    Activer le mode étendu 18xx.

VOIR AUSSI
gputils(1)

AUTEUR
Craig Franklin <craigfranklin@users.sourceforge.net>

TRADUCTION

Ce document est une traduction réalisée par Alain Portal <alain DOT portal AT univ-montp2 DOT fr> le 14 octobre 2004 et révisée le 4 mai 2013.

L'équipe de traduction a fait le maximum pour réaliser une adaptation française de qualité. La version anglaise la plus à jour de ce document est toujours consultable via la commande : « LANG=C man 1 gpasm ». N'hésitez pas à signaler à l'auteur ou au traducteur, selon le cas, toute erreur dans cette page de manuel.

COPYRIGHT
Copyright (C) 2002, 2003, 2004, 2005 James Bowman, Craig Franklin Ce programme est un logiciel libre ; vous pouvez le redistribuer et/ou le modifier sous les termes de la licence GNU GPL telle que publiée par la Free Software Foundation ; soit la version 2, soit (à votre convenance) toute version ultérieure. Ce programme est distribué dans l'espoir qu'il soit utile, mais SANS AUCUNE GARANTIE ; même sans la garantie implicite d'UTILISABILITÉ ou d'ADAPTATION À UN USAGE PRÉCIS. Lisez la licence GNU GPL pour plus de détails. Vous devriez avoir reçu une copie de la licence GNU GPL avec ce programme ; si ce n'est pas le cas, écrivez à Free Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.